Bug 1418760 - [RFE] UI to allow 'new project' template selection
Summary: [RFE] UI to allow 'new project' template selection
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: ---
Assignee: Jessica Forrester
QA Contact: Xiaoli Tian
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-02 16:31 UTC by Ruben Romero Montes
Modified: 2018-09-04 14:36 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-12 13:54:36 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Ruben Romero Montes 2017-02-02 16:31:52 UTC
Description of problem:
As a user I want to be able to choose from different templates when creating a new project based on my roles/groups. From the UI and the CLI.
As an admin of OpenShift I want OpenShift to allow me to manage project templates upon roles/groups. Providing the possibility to define different sets of components and constraints.

Currently OpenShift only supports one template which is defined in the master-config.yaml it is an static configuration which needs to be propagated among masters.

For this reason, OpenShift needs to be able to dynamically gather the available project templates and allow users to chose which template they want to apply when creating a new project.

Comment 1 Jessica Forrester 2017-02-02 18:06:46 UTC
Pretty sure this is going to have to go to the platform team first, I doubt we have what we need from the backend to support this.  @mfojtik WDYT?

Comment 3 Mark Chappell 2017-02-03 10:31:29 UTC
To possibly add a little more context about what we're trying to achieve.

We're using annotations on the Projects to manage three things:
* Quotas
* Node Allocation
* Router Sharding (also tied to node allocation)

We don't want to give people the ability to change the annotations directly, since they could set them to things they shouldn't be set to.  But we would like to be able to offer a set of Templates that they could chose from to select, for example:

* Does the project live in the 'internal' or 'external' zone?
* Does the project use their 'personal' quota, or a 'team' quota?

We probably wouldn't allow all possible combinations, since external zone access would probably be tied to a specific 'team' quota.  So simply being able to pick from a limited set of templates is sufficient.  Rather than being able to fully customise the new-project page.

Comment 6 Codrin Bucur 2017-09-05 13:21:14 UTC
+1

Comment 7 Eric Rich 2018-03-12 13:54:36 UTC
This bug has been identified as a dated (created more than 3 months ago) bug. 
This bug has been triaged (has a trello card linked to it), or reviewed by Engineering/PM and has been put into the product backlog, 
however this bug has not been slated for a currently planned release (3.9, 3.10 or 3.11), which cover our releases for the rest of the calendar year. 

As a result of this bugs age, state on the current roadmap and PM Score (being below 70), this bug is being Closed - Differed, 
as it is currently not part of the products immediate priorities.

Please see: https://docs.google.com/document/d/1zdqF4rB3ea8GmVIZ7qWCVYUaQ7-EexUrQEF0MTwdDkw/edit for more details.


Note You need to log in before you can comment on or make changes to this bug.